| Version: 3.2.5

Classes | Macros
slider.h File Reference

## Classes

class | wxSlider
| A slider is a control with a handle which can be pulled back and forth to change the value. More...

## Macros

#define | wxSL_HORIZONTAL wxHORIZONTAL /* 0x0004 */
#define | wxSL_VERTICAL wxVERTICAL /* 0x0008 */
#define | wxSL_TICKS 0x0010
#define | wxSL_AUTOTICKS wxSL_TICKS
#define | wxSL_LEFT 0x0040
#define | wxSL_TOP 0x0080
#define | wxSL_RIGHT 0x0100
#define | wxSL_BOTTOM 0x0200
#define | wxSL_BOTH 0x0400
#define | wxSL_SELRANGE 0x0800
#define | wxSL_INVERSE 0x1000
#define | wxSL_MIN_MAX_LABELS 0x2000
#define | wxSL_VALUE_LABEL 0x4000
#define | wxSL_LABELS (wxSL_MIN_MAX_LABELS|wxSL_VALUE_LABEL)

## Macro Definition Documentation

## ◆ wxSL_AUTOTICKS

#define wxSL_AUTOTICKS wxSL_TICKS

## ◆ wxSL_BOTH

#define wxSL_BOTH 0x0400

## ◆ wxSL_BOTTOM

#define wxSL_BOTTOM 0x0200

## ◆ wxSL_HORIZONTAL

#define wxSL_HORIZONTAL wxHORIZONTAL /* 0x0004 */

## ◆ wxSL_INVERSE

#define wxSL_INVERSE 0x1000

## ◆ wxSL_LABELS

#define wxSL_LABELS (wxSL_MIN_MAX_LABELS|wxSL_VALUE_LABEL)

## ◆ wxSL_LEFT

#define wxSL_LEFT 0x0040

## ◆ wxSL_MIN_MAX_LABELS

#define wxSL_MIN_MAX_LABELS 0x2000

## ◆ wxSL_RIGHT

#define wxSL_RIGHT 0x0100

## ◆ wxSL_SELRANGE

#define wxSL_SELRANGE 0x0800

## ◆ wxSL_TICKS

#define wxSL_TICKS 0x0010

## ◆ wxSL_TOP

#define wxSL_TOP 0x0080

## ◆ wxSL_VALUE_LABEL

#define wxSL_VALUE_LABEL 0x4000

## ◆ wxSL_VERTICAL

#define wxSL_VERTICAL wxVERTICAL /* 0x0008 */